Patch Category
curl --request PATCH \
--url https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "tjqotbhpzwonwlzospqcs",
"parent_id": null,
"path": "o",
"description": "Quaerat ut fuga non quibusdam itaque ut quia at.",
"image_id": null,
"meta_title": "zospqcsnssrciatkmatld",
"meta_description": "znkaapjptdhyldmarwuvl",
"color": "v",
"order": 6,
"metadata": "jqotbhpzwonwlzospqcsn"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}"
payload = {
"name": "tjqotbhpzwonwlzospqcs",
"parent_id": None,
"path": "o",
"description": "Quaerat ut fuga non quibusdam itaque ut quia at.",
"image_id": None,
"meta_title": "zospqcsnssrciatkmatld",
"meta_description": "znkaapjptdhyldmarwuvl",
"color": "v",
"order": 6,
"metadata": "jqotbhpzwonwlzospqcsn"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'tjqotbhpzwonwlzospqcs',
parent_id: null,
path: 'o',
description: 'Quaerat ut fuga non quibusdam itaque ut quia at.',
image_id: null,
meta_title: 'zospqcsnssrciatkmatld',
meta_description: 'znkaapjptdhyldmarwuvl',
color: 'v',
order: 6,
metadata: 'jqotbhpzwonwlzospqcsn'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'tjqotbhpzwonwlzospqcs',
'parent_id' => null,
'path' => 'o',
'description' => 'Quaerat ut fuga non quibusdam itaque ut quia at.',
'image_id' => null,
'meta_title' => 'zospqcsnssrciatkmatld',
'meta_description' => 'znkaapjptdhyldmarwuvl',
'color' => 'v',
'order' => 6,
'metadata' => 'jqotbhpzwonwlzospqcsn'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}"
payload := strings.NewReader("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"parent_id\": null,\n \"path\": \"o\",\n \"description\": \"Quaerat ut fuga non quibusdam itaque ut quia at.\",\n \"image_id\": null,\n \"meta_title\": \"zospqcsnssrciatkmatld\",\n \"meta_description\": \"znkaapjptdhyldmarwuvl\",\n \"color\": \"v\",\n \"order\": 6,\n \"metadata\": \"jqotbhpzwonwlzospqcsn\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"parent_id\": null,\n \"path\": \"o\",\n \"description\": \"Quaerat ut fuga non quibusdam itaque ut quia at.\",\n \"image_id\": null,\n \"meta_title\": \"zospqcsnssrciatkmatld\",\n \"meta_description\": \"znkaapjptdhyldmarwuvl\",\n \"color\": \"v\",\n \"order\": 6,\n \"metadata\": \"jqotbhpzwonwlzospqcsn\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"parent_id\": null,\n \"path\": \"o\",\n \"description\": \"Quaerat ut fuga non quibusdam itaque ut quia at.\",\n \"image_id\": null,\n \"meta_title\": \"zospqcsnssrciatkmatld\",\n \"meta_description\": \"znkaapjptdhyldmarwuvl\",\n \"color\": \"v\",\n \"order\": 6,\n \"metadata\": \"jqotbhpzwonwlzospqcsn\"\n}"
response = http.request(request)
puts response.read_bodyCategories
Patch Category
Changes only the fields you send. Fields you leave out keep their current value, and null clears a field.
PATCH
/
v1
/
shops
/
{shopId}
/
categories
/
{categoryId}
Patch Category
curl --request PATCH \
--url https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "tjqotbhpzwonwlzospqcs",
"parent_id": null,
"path": "o",
"description": "Quaerat ut fuga non quibusdam itaque ut quia at.",
"image_id": null,
"meta_title": "zospqcsnssrciatkmatld",
"meta_description": "znkaapjptdhyldmarwuvl",
"color": "v",
"order": 6,
"metadata": "jqotbhpzwonwlzospqcsn"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}"
payload = {
"name": "tjqotbhpzwonwlzospqcs",
"parent_id": None,
"path": "o",
"description": "Quaerat ut fuga non quibusdam itaque ut quia at.",
"image_id": None,
"meta_title": "zospqcsnssrciatkmatld",
"meta_description": "znkaapjptdhyldmarwuvl",
"color": "v",
"order": 6,
"metadata": "jqotbhpzwonwlzospqcsn"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'tjqotbhpzwonwlzospqcs',
parent_id: null,
path: 'o',
description: 'Quaerat ut fuga non quibusdam itaque ut quia at.',
image_id: null,
meta_title: 'zospqcsnssrciatkmatld',
meta_description: 'znkaapjptdhyldmarwuvl',
color: 'v',
order: 6,
metadata: 'jqotbhpzwonwlzospqcsn'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'tjqotbhpzwonwlzospqcs',
'parent_id' => null,
'path' => 'o',
'description' => 'Quaerat ut fuga non quibusdam itaque ut quia at.',
'image_id' => null,
'meta_title' => 'zospqcsnssrciatkmatld',
'meta_description' => 'znkaapjptdhyldmarwuvl',
'color' => 'v',
'order' => 6,
'metadata' => 'jqotbhpzwonwlzospqcsn'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}"
payload := strings.NewReader("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"parent_id\": null,\n \"path\": \"o\",\n \"description\": \"Quaerat ut fuga non quibusdam itaque ut quia at.\",\n \"image_id\": null,\n \"meta_title\": \"zospqcsnssrciatkmatld\",\n \"meta_description\": \"znkaapjptdhyldmarwuvl\",\n \"color\": \"v\",\n \"order\": 6,\n \"metadata\": \"jqotbhpzwonwlzospqcsn\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"parent_id\": null,\n \"path\": \"o\",\n \"description\": \"Quaerat ut fuga non quibusdam itaque ut quia at.\",\n \"image_id\": null,\n \"meta_title\": \"zospqcsnssrciatkmatld\",\n \"meta_description\": \"znkaapjptdhyldmarwuvl\",\n \"color\": \"v\",\n \"order\": 6,\n \"metadata\": \"jqotbhpzwonwlzospqcsn\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/categories/{categoryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"parent_id\": null,\n \"path\": \"o\",\n \"description\": \"Quaerat ut fuga non quibusdam itaque ut quia at.\",\n \"image_id\": null,\n \"meta_title\": \"zospqcsnssrciatkmatld\",\n \"meta_description\": \"znkaapjptdhyldmarwuvl\",\n \"color\": \"v\",\n \"order\": 6,\n \"metadata\": \"jqotbhpzwonwlzospqcsn\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Response
200